Adding an STC scenario for fabric.p4

Change-Id: I3457ab67c2c97eab73623500ba3f6a75b9ed33a3
diff --git a/tools/test/bin/onos-push-bmv2 b/tools/test/bin/onos-push-bmv2
new file mode 100755
index 0000000..271c31d
--- /dev/null
+++ b/tools/test/bin/onos-push-bmv2
@@ -0,0 +1,18 @@
+#!/bin/bash
+# -----------------------------------------------------------------------------
+# Remotely pushes bmv2 custom mininet script to a remote mininet test machine.
+# -----------------------------------------------------------------------------
+
+[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
+. $ONOS_ROOT/tools/build/envDefaults
+
+node=${1:-$OCN}
+user=$ONOS_WEB_USER
+pass=$ONOS_WEB_PASS
+
+ssh $ONOS_USER@$node sudo rm -f ~/bmv2-mininet
+scp -qr $ONOS_ROOT/tools/dev/mininet/bmv2.py $ONOS_USER@[$node]:~/bmv2-mininet
+ssh $ONOS_USER@$node "
+       echo 'export ONOS_WEB_USER=`$user`' >> ~/.bashrc
+       echo 'export ONOS_WEB_PASS=`$pass`' >> ~/.bashrc
+      "
\ No newline at end of file